local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch")
local plugin = RW:Plugin("Callback")
if not plugin then return end

local CallbackHandler = LibStub:GetLibrary("CallbackHandler-1.0")

if not plugin.delegates then
	plugin.delegates = CallbackHandler:New(plugin,
	"BossEngaged",
	"BossEnded",
	"InstanceEntered",
	"InstanceExited",
	"StartBar",
	"StopBar",
	"PauseBar",
	"StopAllBars",
	"ChangeBarTime",
	"ConfigMode",
	"ToggleInfo",
	"ShowArrowToLocation",
	"ShowArrowToUnit",
	"HideArrow",
	"HideAllArrows",
	"PluginEnabled",
	"PluginDisabled",
	"Message",
	"StartTimer",
	"Alert",
	"Flash",
	"AddHealthFrame",
	"AddHealthFrameByName",
	"RemoveHealthFrame",
	"RemoveAllHealthFrames",
	"ShowRangeCheck",
	"HideRangeCheck",
	"JoinParty",
	"LeaveParty",
	"CommMessage",
	"UnregisterAll")
end